Bug 854328 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:32f77ed606618d62fadbbdc63e4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 12:17 EDT by Don Ward
Modified: 2013-08-01 15:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:16:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.56 KB, text/plain)
2012-09-04 12:17 EDT, Don Ward
no flags Details
File: xorg.conf (111 bytes, text/plain)
2012-09-04 12:17 EDT, Don Ward
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (497 bytes, text/plain)
2012-09-04 12:17 EDT, Don Ward
no flags Details
xorg log showing crash batcktrace (35.03 KB, application/octet-stream)
2012-12-20 16:47 EST, Rob
no flags Details

  None (edit)
Description Don Ward 2012-09-04 12:17:29 EDT
Description of problem:
rebooted pc. This appears when the dust settles and the desktop is up and running

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:0: /usr/bin/X (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/X (mieqEnqueue+0x26b) [0x5514ab]
:2: /usr/bin/X (0x400000+0x47f02) [0x447f02]
:3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f17663ad000+0x60e4) [0x7f17663b30e4]
:4: /usr/bin/X (0x400000+0x80787) [0x480787]
:5: /usr/bin/X (0x400000+0xa4a80) [0x4a4a80]
:6: /lib64/libpthread.so.0 (0x31aa000000+0xefe0) [0x31aa00efe0]
:7: /lib64/libc.so.6 (nanosleep+0x10) [0x31a98ba6b0]
:8: /lib64/libc.so.6 (usleep+0x34) [0x31a98eb174]
:9: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f1766f63000+0x4f4da0) [0x7f1767457da0]
:10: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f1766f63000+0x4f5eb6) [0x7f1767458eb6]
:11: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f1766f63000+0x4fad0c) [0x7f176745dd0c]
:12: /usr/bin/X (_CallCallbacks+0x34) [0x438b84]
:13: /usr/bin/X (0x400000+0x2f4db) [0x42f4db]
:14: /usr/bin/X (0x400000+0x3444a) [0x43444a]
:15: /usr/bin/X (0x400000+0x23485) [0x423485]
:16: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x31a9821735]
:17: /usr/bin/X (0x400000+0x2375d) [0x42375d]
Comment 1 Don Ward 2012-09-04 12:17:32 EDT
Created attachment 609740 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Don Ward 2012-09-04 12:17:33 EDT
Created attachment 609741 [details]
File: xorg.conf
Comment 3 Don Ward 2012-09-04 12:17:35 EDT
Created attachment 609742 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 Rob 2012-09-17 12:13:43 EDT
This generally happens while I'm using the pan newsreader to bulk delete threads.  
The evdev driven mouse is still active but the desktop and keyboard become 
unresponsive.  I am able to login remotely and kill -9 the xserver.


Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Rob 2012-09-17 12:24:19 EDT
I should mention that even though the Xserver has crashed it seems to be locked in a busy loop and continues to accumulate runtime after the crash.
Comment 6 George Spanos 2012-09-20 11:45:36 EDT
I just booted up my system. No further interaction was necessary for this crash report to appear.

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 kbjarnason 2012-09-28 21:51:52 EDT
Switched tabs in Firefox; got this.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Adam Jackson 2012-10-18 17:50:47 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 9 Adam Jackson 2012-10-18 17:51:02 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 10 Kevin Cousin 2012-10-19 06:04:06 EDT
I unlock my KDE desktop 

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Rob 2012-12-20 16:46:27 EST
still occurs.  Please see my comments in 883118 and the additional referenced there.

attaching my latest Xorg.0.log
Comment 12 Rob 2012-12-20 16:47:01 EST
Created attachment 666967 [details]
xorg log showing crash batcktrace
Comment 13 Fedora End Of Life 2013-07-04 03:17:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 15:16:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.